wxRuby Documentation Home

# Wx::HtmlTagsModule

This class provides easy way of filling HtmlWinParser’s table of
tag handlers. It is used almost exclusively together with the set of
TAGS_MODULE_* macros

## Derived from

Module

## See Also

Tag Handlers,
HtmlTagHandler,
HtmlWinTagHandler,

## Methods

- HtmlTagsModule#fill_handlers_table

### HtmlTagsModule#fill_handlers_table

fill_handlers_table(%(arg-type)HtmlWinParser% parser)

You must override this method. In most common case its body consists
only of lines of the following type:

parser → AddTagHandler(new MyHandler);

I recommend using the *TAGS_MODULE_** macros.

#### Paremeters

- parser Pointer to the parser that requested tables filling.

[This page automatically generated from the Textile source at 2023-06-09 00:45:30 +0000]